<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.stats.completion.CompletionFileLogger CompletionFileLogger(java.lang.String, java.lang.String, java.lang.String, com.intellij.stats.completion.CompletionEventLogger)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.DeserializedLogEvent">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2574.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.LookupEntryInfo int getHash()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.LogEventSerializer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2574.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.CompletionQualityTracker.QueryTracker QueryTracker()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.LookupEntryInfo">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2574.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.LookupState LookupState(java.util.List&lt;java.lang.Integer&gt;, java.util.List&lt;com.intellij.stats.completion.LookupEntryInfo&gt;, java.util.List&lt;com.intellij.stats.completion.LookupEntryDiff&gt;, int, java.util.Map&lt;java.lang.String,java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.CompletionLogger void customMessage(java.lang.String, long)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3647.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.CompletionLogger void completionCancelled(java.util.Map&lt;java.lang.String,java.lang.Long&gt;, long)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.CompletionLogger void afterCharTyped(char, com.intellij.codeInsight.lookup.impl.LookupImpl, long)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3647.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.LookupState java.util.Map&lt;java.lang.String,java.lang.String&gt; getCommonSessionFactors()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.TabSeparatedParseResult">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2574.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.LookupStateKt com.intellij.stats.completion.LookupState withSelected(com.intellij.stats.completion.LookupState, int, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.DeserializationResult">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2574.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.CompletionLogger void completionStarted(com.intellij.codeInsight.lookup.impl.LookupImpl, boolean, int, long)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.LookupState com.intellij.stats.completion.LookupState copy(java.util.List&lt;java.lang.Integer&gt;, java.util.List&lt;com.intellij.stats.completion.LookupEntryInfo&gt;, java.util.List&lt;com.intellij.stats.completion.LookupEntryDiff&gt;, int, java.util.Map&lt;java.lang.String,java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.LookupExtensionsKt int queryLength(com.intellij.codeInsight.lookup.impl.LookupImpl)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.CompletionActionsTracker CompletionActionsTracker(com.intellij.codeInsight.lookup.impl.LookupImpl, com.intellij.stats.storage.factors.LookupStorage, com.intellij.stats.completion.CompletionLogger, com.intellij.stats.experiment.WebServiceStatus)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.LookupStateKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.CompletionLogger void upPressed(com.intellij.codeInsight.lookup.impl.LookupImpl, long)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3647.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.LookupState">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.RelevanceUtil kotlin.Pair&lt;java.util.Map&lt;java.lang.String,java.lang.Object&gt;,java.util.Map&lt;java.lang.String,java.lang.Object&gt;&gt; asRelevanceMaps(java.util.List&lt;? extends com.intellij.openapi.util.Pair&lt;java.lang.String,java.lang.Object&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.CompletionLogger void itemSelectedCompletionFinished(com.intellij.codeInsight.lookup.impl.LookupImpl, java.util.Map&lt;java.lang.String,java.lang.Long&gt;, long)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.LookupState java.util.Map&lt;java.lang.String,java.lang.String&gt; component5()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.RecorderSettings">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.CompletionLogger void itemSelectedByTyping(com.intellij.codeInsight.lookup.impl.LookupImpl, java.util.Map&lt;java.lang.String,java.lang.Long&gt;, long)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.CompletionStatsPolicy">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.ValidationStatus">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2574.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.CompletionLogger void downPressed(com.intellij.codeInsight.lookup.impl.LookupImpl, long)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3647.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.CompletionLogger void afterBackspacePressed(com.intellij.codeInsight.lookup.impl.LookupImpl, long)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3647.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.LookupEntryInfo LookupEntryInfo(int, int, int, java.util.Map&lt;java.lang.String,java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.JsonSerializer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2574.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.CompletionUtil java.lang.Long getShownTimestamp(com.intellij.codeInsight.lookup.impl.LookupImpl)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3647.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.Action">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2574.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.LogEventVisitor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2574.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.LookupExtensionsKt java.lang.String prefix(com.intellij.codeInsight.lookup.Lookup)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.stats.completion.LookupEntryDiff">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
</root>
